--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Hash of original values of attributes that have unsaved changes
- !ruby/struct:SM::Flow::P 
  body: "@return [Hash]"
- !ruby/struct:SM::Flow::VERB 
  body: "  original values of attributes that have unsaved changes\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Resource#original_attributes
is_singleton: false
name: original_attributes
params: ()
visibility: public
